/***************************** FILE HEADER *********************************/
/*!
*  \file      clickQlabel.h
*
*
*  \author    L&T Technology Services Limited
*  \copyright Copyright (c) 2018 Hirschmann Automation & Control GmbH
*
*
*  \version 1a 2018-07-06 Julia Greiss standard header added to file.
*
*//**************************** FILE HEADER *********************************/
#ifndef CLICKQLABEL_H
#define CLICKQLABEL_H
#include <QLabel>
#include <QMouseEvent>
#include <QHBoxLayout>

class clickQlabel : public QLabel
{
    Q_OBJECT

    public:
        clickQlabel(QWidget *parent = 0);
        ~clickQlabel();

        QLabel *QLabelLabelInfo;

    protected:
        void mousePressEvent(QMouseEvent *QMouseEventE);
        void mouseDoubleClickEvent(QMouseEvent *QMouseEventE);

    signals:
        void doubleclick();
        void leftbuttonclick();
        void rightbuttonclick();
        void leftcontrolbuttonclick();


};

#endif // CLICKQLABEL_H


