/***************************** FILE HEADER *********************************/
/*!
*  \file      productdetails.h
*
*
*  \author    L&T Technology Services Limited
*  \copyright Copyright (c) 2018 Hirschmann Automation & Control GmbH
*
*
*  \version 1a 2018-07-06 Julia Greiss standard header added to file.
*
*//**************************** FILE HEADER *********************************/

#ifndef PRODUCTDETAILS
#define PRODUCTDETAILS

#include "globaldata.h"

#define PRODUCT_1_PRODUCTID         16
#define PRODUCT_1_PRODUCTNAME       "SPIDER-PL-20-05T1999999"
#define PRODUCT_1_PRODUCTLINE       PRODUCT_LINE_PL
#define PRODUCT_1_PRODUCTTYPE       PRODUCT_TYPE_FE
#define PRODUCT_1_JUMBO             PRODUCT_ABLE_JUMBO
//#define PRODUCT_1_FIXSERIAL         942141016

#define PRODUCT_2_PRODUCTID         17
#define PRODUCT_2_PRODUCTNAME       "SPIDER-PL-20-08T1999999"
#define PRODUCT_2_PRODUCTLINE       PRODUCT_LINE_PL
#define PRODUCT_2_PRODUCTTYPE       1
#define PRODUCT_2_JUMBO             PRODUCT_ABLE_JUMBO
//#define PRODUCT_2_FIXSERIAL         942141017

#define PRODUCT_3_PRODUCTID         18
#define PRODUCT_3_PRODUCTNAME       "SPIDER-PL-20-16T1999999"
#define PRODUCT_3_PRODUCTLINE       2
#define PRODUCT_3_PRODUCTTYPE       1
#define PRODUCT_3_JUMBO             PRODUCT_ABLE_JUMBO
// //#define PRODUCT_4_FIXSERIAL         942141018

#define PRODUCT_4_PRODUCTID         19
#define PRODUCT_4_PRODUCTNAME       "SPIDER-PL-40-05T1999999"
#define PRODUCT_4_PRODUCTLINE       2
#define PRODUCT_4_PRODUCTTYPE       2
#define PRODUCT_4_JUMBO             PRODUCT_ABLE_JUMBO
//#define PRODUCT_4_FIXSERIAL         942141019

#define PRODUCT_5_PRODUCTID         20
#define PRODUCT_5_PRODUCTNAME       "SPIDER-PL-40-08T1999999"
#define PRODUCT_5_PRODUCTLINE       2
#define PRODUCT_5_PRODUCTTYPE       2
#define PRODUCT_5_JUMBO             PRODUCT_ABLE_JUMBO
//#define PRODUCT_5_FIXSERIAL         942141020

//#define PRODUCT_6_PRODUCTID         21
//#define PRODUCT_6_PRODUCTNAME       "SPIDER PL-40 16T"
//#define PRODUCT_6_PRODUCTLINE       2
//#define PRODUCT_6_PRODUCTTYPE       2
//#define PRODUCT_6_JUMBO             PRODUCT_ABLE_JUMBO
// //#define PRODUCT_6_FIXSERIAL         942141021

#define PRODUCT_7_PRODUCTID         24
#define PRODUCT_7_PRODUCTNAME       "SPIDER-PL-20-04T1M29999"
#define PRODUCT_7_PRODUCTLINE       2
#define PRODUCT_7_PRODUCTTYPE       1
#define PRODUCT_7_JUMBO             PRODUCT_ABLE_JUMBO
//#define PRODUCT_7_FIXSERIAL         942141024

#define PRODUCT_8_PRODUCTID         24
#define PRODUCT_8_PRODUCTNAME       "SPIDER-PL-20-04T1M49999"
#define PRODUCT_8_PRODUCTLINE       2
#define PRODUCT_8_PRODUCTTYPE       1
#define PRODUCT_8_JUMBO             PRODUCT_ABLE_JUMBO
//#define PRODUCT_8_FIXSERIAL         942141025

#define PRODUCT_9_PRODUCTID         24
#define PRODUCT_9_PRODUCTNAME       "SPIDER-PL-20-04T1S29999"
#define PRODUCT_9_PRODUCTLINE       2
#define PRODUCT_9_PRODUCTTYPE       1
#define PRODUCT_9_JUMBO             PRODUCT_ABLE_JUMBO
//#define PRODUCT_9_FIXSERIAL         942141026

#define PRODUCT_10_PRODUCTID        27
#define PRODUCT_10_PRODUCTNAME      "SPIDER-PL-20-06T1Z6Z6Z6"
#define PRODUCT_10_PRODUCTLINE      2
#define PRODUCT_10_PRODUCTTYPE      1
#define PRODUCT_10_JUMBO            PRODUCT_NO_JUMBO
//#define PRODUCT_10_FIXSERIAL        942141027

#define PRODUCT_11_PRODUCTID        28
#define PRODUCT_11_PRODUCTNAME      "SPIDER-PL-20-08T1M29999"
#define PRODUCT_11_PRODUCTLINE      2
#define PRODUCT_11_PRODUCTTYPE      1
#define PRODUCT_11_JUMBO            PRODUCT_ABLE_JUMBO
//#define PRODUCT_11_FIXSERIAL        942141028

#define PRODUCT_12_PRODUCTID        28
#define PRODUCT_12_PRODUCTNAME      "SPIDER-PL-20-08T1S29999"
#define PRODUCT_12_PRODUCTLINE      2
#define PRODUCT_12_PRODUCTTYPE      1
#define PRODUCT_12_JUMBO            PRODUCT_ABLE_JUMBO
//#define PRODUCT_12_FIXSERIAL        942141029

#define PRODUCT_13_PRODUCTID        30
#define PRODUCT_13_PRODUCTNAME      "SPIDER-PL-20-07T1M2M299"
#define PRODUCT_13_PRODUCTLINE      2
#define PRODUCT_13_PRODUCTTYPE      1
#define PRODUCT_13_JUMBO            PRODUCT_NO_JUMBO
//#define PRODUCT_13_FIXSERIAL        942141030

#define PRODUCT_14_PRODUCTID        30
#define PRODUCT_14_PRODUCTNAME      "SPIDER-PL-20-07T1S2S299"
#define PRODUCT_14_PRODUCTLINE      2
#define PRODUCT_14_PRODUCTTYPE      1
#define PRODUCT_14_JUMBO            PRODUCT_NO_JUMBO
//#define PRODUCT_14_FIXSERIAL        942141031

#define PRODUCT_15_PRODUCTID        32
#define PRODUCT_15_PRODUCTNAME      "SPIDER PL-20-24T1Z6Z699"
#define PRODUCT_15_PRODUCTLINE      2
#define PRODUCT_15_PRODUCTTYPE      1
#define PRODUCT_15_JUMBO            PRODUCT_ABLE_JUMBO
 //#define PRODUCT_15_FIXSERIAL        942141032

#define PRODUCT_15b_PRODUCTID        32
#define PRODUCT_15b_PRODUCTNAME      "SPIDER PL-30-24T1O6O699"
#define PRODUCT_15b_PRODUCTLINE      3
#define PRODUCT_15b_PRODUCTTYPE      1
#define PRODUCT_15b_JUMBO            PRODUCT_ABLE_JUMBO
 //#define PRODUCT_15b_FIXSERIAL        942141999

#define PRODUCT_16_PRODUCTID        34
#define PRODUCT_16_PRODUCTNAME      "SPIDER-PL-40-04T1O69999"
#define PRODUCT_16_PRODUCTLINE      2
#define PRODUCT_16_PRODUCTTYPE      2
#define PRODUCT_16_JUMBO            PRODUCT_ABLE_JUMBO
//#define PRODUCT_16_FIXSERIAL        942141034

/*
#define PRODUCT_17_PRODUCTID        35
#define PRODUCT_17_PRODUCTNAME      "SPIDER PL-40 8T/2SFP"
#define PRODUCT_17_PRODUCTLINE      2
#define PRODUCT_17_PRODUCTTYPE      2
#define PRODUCT_17_JUMBO            PRODUCT_ABLE_JUMBO
//#define PRODUCT_17_FIXSERIAL        942141035

#define PRODUCT_18_PRODUCTID        36
#define PRODUCT_18_PRODUCTNAME      "SPIDER PL-40 16T/2SFP"
#define PRODUCT_18_PRODUCTLINE      2
#define PRODUCT_18_PRODUCTTYPE      2
#define PRODUCT_18_JUMBO            PRODUCT_ABLE_JUMBO
//#define PRODUCT_18_FIXSERIAL        942141036

#define PRODUCT_19_PRODUCTID        37
#define PRODUCT_19_PRODUCTNAME      "SPIDER 22 4T/1M-SC"
#define PRODUCT_19_PRODUCTLINE      4
#define PRODUCT_19_PRODUCTTYPE      1
#define PRODUCT_19_JUMBO            PRODUCT_ABLE_JUMBO
//#define PRODUCT_19_FIXSERIAL        942141037

#define PRODUCT_20_PRODUCTID        37
#define PRODUCT_20_PRODUCTNAME      "SPIDER 22 4T/1S-SC"
#define PRODUCT_20_PRODUCTLINE      4
#define PRODUCT_20_PRODUCTTYPE      1
#define PRODUCT_20_JUMBO            PRODUCT_ABLE_JUMBO
//#define PRODUCT_20_FIXSERIAL        942141038

#define PRODUCT_21_PRODUCTID        39
#define PRODUCT_21_PRODUCTNAME      "SPIDER 22 5T"
#define PRODUCT_21_PRODUCTLINE      4                   //4 - PoE
#define PRODUCT_21_PRODUCTTYPE      1
#define PRODUCT_21_JUMBO            PRODUCT_ABLE_JUMBO
//#define PRODUCT_21_FIXSERIAL        942141039

#define PRODUCT_22_PRODUCTID        42
#define PRODUCT_22_PRODUCTNAME      "SPIDER 44 4T/1SFP"
#define PRODUCT_22_PRODUCTLINE      4
#define PRODUCT_22_PRODUCTTYPE      2
#define PRODUCT_22_JUMBO            PRODUCT_ABLE_JUMBO
//#define PRODUCT_22_FIXSERIAL        942141040

#define PRODUCT_23_PRODUCTID        43
#define PRODUCT_23_PRODUCTNAME      "SPIDER 44 5T"
#define PRODUCT_23_PRODUCTLINE      4
#define PRODUCT_23_PRODUCTTYPE      2
#define PRODUCT_23_JUMBO            PRODUCT_ABLE_JUMBO
//#define PRODUCT_23_FIXSERIAL        942141043

#define PRODUCT_24_PRODUCTID        44
#define PRODUCT_24_PRODUCTNAME      "SPIDER 44 8T"
#define PRODUCT_24_PRODUCTLINE      4
#define PRODUCT_24_PRODUCTTYPE      2
#define PRODUCT_24_JUMBO            PRODUCT_ABLE_JUMBO
//#define PRODUCT_24_FIXSERIAL        942141044

#define PRODUCT_25_PRODUCTID        45
#define PRODUCT_25_PRODUCTNAME      "SPIDER 44 8T/2SFP"
#define PRODUCT_25_PRODUCTLINE      4
#define PRODUCT_25_PRODUCTTYPE      2
#define PRODUCT_25_JUMBO            PRODUCT_ABLE_JUMBO
*/
/*
#define PRODUCT_X_PRODUCTID        45
#define PRODUCT_X_PRODUCTNAME      "SPIDER 44 8T/2SFP"
#define PRODUCT_X_PRODUCTLINE      PRODUCT_LINE_XXX
#define PRODUCT_X_PRODUCTTYPE      PRODUCT_TYPE_XX
#define PRODUCT_X_JUMBO            PRODUCT_XXX_JUMBO
*/

//#define PRODUCT_25_FIXSERIAL        942141045


#define PRODUCT_100_PRODUCTID        100
#define PRODUCT_100_PRODUCTNAME      "OCTOPUS 8TX-EEC"          //see SRS 2v3 A08, ch. 5.1
#define PRODUCT_100_PRODUCTLINE      0x0A		// 2 + PRODUCT_LINE_OCT
#define PRODUCT_100_PRODUCTTYPE      1
#define PRODUCT_100_JUMBO            PRODUCT_ABLE_JUMBO

#define PRODUCT_101_PRODUCTID        101
#define PRODUCT_101_PRODUCTNAME      "OCTOPUS 8TX PoE-EEC"      //see SRS 2v3 A08, ch. 5.1
#define PRODUCT_101_PRODUCTLINE      0x0E		// 6 + PRODUCT_LINE_OCT
#define PRODUCT_101_PRODUCTTYPE      1
#define PRODUCT_101_JUMBO            PRODUCT_ABLE_JUMBO


const QString fix_serial[MAX_PRODUCT_NUMBERS]=
{
    "942141016",        //Product 1
    "942141017",        //Product 2
    "942141018",        //Product 3
    "942141019",        //Product 4
    "942141020",        //Product 5
    //"942141021",        //Product 6
    "942141024",        //Product 7
    "942141025",        //Product 8
    "942141026",        //Product 9
    "942141027",        //Product 10
    "942141028",        //Product 11
    "942141029",        //Product 12
    "942141030",        //Product 13
    "942141031",        //Product 14
    "942141032",        //Product 15
    "942141999",        //Product 15b
    "942141034",        //Product 16
    //"942141035",        //Product 17
    //"942141036",        //Product 18
    //"942141037",        //Product 19
    //"942141038",        //Product 20
   // "942141039",        //Product 21
    //"942141040",        //Product 22
    //"942141043",        //Product 23
   // "942141044",        //Product 24
   // "942141045"        //Product 25
    //"XXXXXXXXX"        //Product X
    "942150001",
    "942151001",
};



#endif // PRODUCTDETAILS

